fcft_kerning(3)

NAME

fcft_kerning - calculate kerning distance between two wide characters

SYNOPSIS

#include <fcft/fcft.h>

bool fcft_kerning(
    struct fcft_font *font, uint32_t left, uint32_t right, long *restrict x, long *restrict y);

DESCRIPTION

fcft_kerning() calculates the kerning distances x (horizontal) and y (vertical) between the two wide characters left and right, in pixels.

Both characters must exist in the primary font.

fcft_kerning() is just a convenience function around FT_Get_Kerning() and as such, it only supports legacy kern tables. In particular, OpenType fonts' GPOS tables are not supported. fcft is not a text shaping library.

RETURN VALUE

On success, fcft_kerning() returns true, and x and y are updated with the kerning distance, in pixels.

On error, false is returned. This may happen for several reasons:

•   The primary font does not have any kerning information.
•   One, or both, of the two characters have no corresponding glyph in the primary font.
•   There is no kerning information for this character combination.

EXAMPLE

See fcft_from_name()